Core - Task # 41012

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:

Created: 2012-09-17 Assigned To: Thomas Maroschik
Updated: 2012-10-01 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity: medium

Sprint Focus:

Subject: Provide class alias mechanism also for extensions

Description

The class alias map is currently located in a single file in the core extension. This file should be split up and every extension get the

ability to provide its own alias map.

Related issues:

precedes Core - Task # 41013: Split up core alias map

Resolved 2012-09-18

2012-09-18

Associated revisions

Revision 939f07bd - 2012-10-01 19:44 - Thomas Maroschik

[TASK] Clean up class alias mechanism

- adopt class loader to load the class alias map from a location
Migrations/Code/ClassAliasMap.php in every extensions path
- split up core class alias map into extension class alias maps

- adopt tests to the compound class loader cache

Change-Id: 17102fd5aab7a6364d5bcb5603f011dfcdb859ec9

Resolves: #41012
Resolves: #41013
Related: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/15085

Reviewed-by: Thomas Maroschik

Tested-by: Thomas Maroschik

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

History

#1 - 2012-09-18 10:24 - Oliver Hader

- Target version set to 6.0.0
- PHP Version set to 5.3

- Complexity set to medium

#2 - 2012-09-26 16:29 - Gerrit Code Review

- Status changed from Accepted to Under Review

2015-08-04
http://review.typo3.org/15085

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15085

#3 - 2012-09-30 20:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15085

#4 - 2012-09-30 20:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15085

#5 - 2012-10-01 20:30 - Thomas Maroschik
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:939f07bd691c06b6d6ea2eedb46bf3ab9bb3c984.
